vanWaerdenTest {PMCMRplus} | R Documentation

## van der Waerden's Normal Scores Test

### Description

Performs van der Waerden's normal scores test.

### Usage

    vanWaerdenTest(x, ...)

    ## Default S3 method:
    vanWaerdenTest(x, g, ...)

    ## S3 method for class 'formula'
    vanWaerdenTest(formula, data, subset, na.action, ...)

### Arguments

`x` | a numeric vector of data values, or a list of numeric data vectors.
`...` | further arguments to be passed to or from methods.
`g` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`formula` | a formula of the form `response ~ group` where `response` gives the data values and `group` a vector or factor of the corresponding groups.
`data` | an optional matrix or data frame (or similar: see `model.frame`) containing the variables in the formula `formula`. By default the variables are taken from `environment(formula)`.
`subset` | an optional vector specifying a subset of observations to be used.
`na.action` | a function which indicates what should happen when the data contain `NA`s. Defaults to `getOption("na.action")`.

### Details

For one-factorial designs with non-normally distributed residuals van der Waerden's normal scores test can be performed to test the H_0: F_1(x) = F_2(x) = … = F_k(x) against the H_\mathrm{A}: F_i (x) \ne F_j(x)~ (i \ne j) with at least one strict inequality.

### Note

A tie correction is not applied in this function.

### References

Conover, W. J., Iman, R. L. (1979) On multiple-comparisons procedures, Tech. Rep. LA-7677-MS, Los Alamos Scientific Laboratory.

van der Waerden, B. L. (1952) Order tests for the two-sample problem and their power, Indagationes Mathematicae 14, 453–458.

### See Also

`kruskalTest`, `normalScoresTest`

### Examples

    vanWaerdenTest(count ~ spray, data = InsectSprays)

[Package PMCMRplus version 1.6.1 Index]